aboutsummaryrefslogtreecommitdiff
path: root/Tools/scripts
diff options
context:
space:
mode:
authorRene Ladan <rene@FreeBSD.org>2021-04-30 18:56:14 +0000
committerRene Ladan <rene@FreeBSD.org>2021-06-11 13:45:10 +0000
commit0b673d6c5b2b727e108435637b6a3dc6eced561c (patch)
tree1348f3babaca9b99ef2bdc3feb9751b699995236 /Tools/scripts
parenta57cfc8fed8846b6b0f1038641fb30964fb786bf (diff)
downloadports-0b673d6c5b2b727e108435637b6a3dc6eced561c.tar.gz
ports-0b673d6c5b2b727e108435637b6a3dc6eced561c.zip
cleanup: remove LEGAL and (support in) related tools.
LEGAL is badly maintained, LEGALlint notices quite a number of ports which mismatch their line in LEGAL. The port itself is always leading. * math/giacxcas: restrict RESTRICTED_FILES to giac_* only Differential Revision: https://reviews.freebsd.org/D30061 Reviewed by: portmgr (mat), dch, eadler, marcus
Diffstat (limited to 'Tools/scripts')
-rwxr-xr-xTools/scripts/LEGALlint21
-rw-r--r--Tools/scripts/README1
-rwxr-xr-xTools/scripts/rmport28
3 files changed, 1 insertions, 49 deletions
diff --git a/Tools/scripts/LEGALlint b/Tools/scripts/LEGALlint
deleted file mode 100755
index d75ade6cc0b6..000000000000
--- a/Tools/scripts/LEGALlint
+++ /dev/null
@@ -1,21 +0,0 @@
-#!/bin/sh
-
-PORTSDIR="${PORTSDIR:-/usr/ports}"
-
-cd "$PORTSDIR" || exit 1
-
-export IFS="${IFS}:"
-grep -nv '#' "$PORTSDIR/LEGAL" | while read -r line _ port text
-do
- if [ ! -d "$port" ]
- then
- printf "%d (%s): port has been removed\\n" "$line" "$port"
- continue
- fi
-
- actual_text="$(make -C "$port" -VLEGAL)"
- if [ "$text" != "$actual_text" ]
- then
- printf "%d (%s): reason mismatch\\n" "$line" "$port"
- fi
-done
diff --git a/Tools/scripts/README b/Tools/scripts/README
index a14f94ab6eeb..1b7d2b838270 100644
--- a/Tools/scripts/README
+++ b/Tools/scripts/README
@@ -4,7 +4,6 @@ NOTE: These scripts need work and are *NOT* safe to use unless you know
script.
MOVEDlint.awk - checks MOVED for common errors
-LEGALlint - checks LEGAL for common errors
ardiff - compare two archives easily
addport - replacement for easy-import
bad-pkgdescrs.sh - locate identical pkg descriptions
diff --git a/Tools/scripts/rmport b/Tools/scripts/rmport
index 016bc59c902b..2a96de034335 100755
--- a/Tools/scripts/rmport
+++ b/Tools/scripts/rmport
@@ -245,30 +245,6 @@ check_PRs()
return 0
}
-# check if anything about the port is mentioned in ports/LEGAL
-check_LEGAL()
-{
- catport=${1}
- pkgname=${2}
-
- for checkstr in ${pkgname} ${catport} ; do
- msg="${catport}: checking if ${checkstr} is in ports/LEGAL"
- log "${msg}"
- while grep -i ${checkstr} LEGAL ; do
- echo "" >&2
- echo "${checkstr} is in ports/LEGAL" >&2
- echo "remove it and hit <enter> when ready" >&2
- echo "or hit 's' to skip this issue and continue anyway" >&2
- read answer
- if [ "${answer}" = "s" ] ; then
- break
- fi
- log "${msg}"
- done
- done
- ${GIT} add LEGAL
-}
-
# add port's entry to ports/MOVED
edit_MOVED()
{
@@ -454,8 +430,6 @@ for catport in $* ; do
continue
fi
- check_LEGAL ${catport} ${pkgname}
-
# everything seems ok, edit the files
edit_MOVED ${catport}
@@ -483,7 +457,7 @@ while [ "${answer}" = "y" ] ; do
echo "you can now edit files by hand" >&2
answer=$(ask "do you want to recreate the diff")
if [ "${answer}" = "y" ] ; then
- ${GIT} add LEGAL MOVED
+ ${GIT} add MOVED
fi
done